from django.conf.urls.defaults import *
from google.appengine.api import users
from feeds import MessageFeed

feeds = {
    'messages': MessageFeed,
}
urlpatterns = patterns('',
                       (r'^$', 'views.main.index'),
                       (r'^home/$', 'views.main.home'),
                       (r'^post/$', 'views.main.post'),                       
                       (r'^logout/$', 'views.main.logout'),
                       (r'^login/$', 'views.main.login'),
                       (r'^message/(?P<key>.+)/$', 
                        'views.main.message_detail'), 
                       (r'^feeds/(?P<url>.*)/$', 
                        'django.contrib.syndication.views.feed',
                        {'feed_dict': feeds}),
                       (r'^(?P<nickname>[\w\._-]+)/$', 'views.main.user_page'),

                       )
