from google.appengine.ext import db

class Setting(db.Model):
    user = db.UserProperty()
    name = db.StringProperty(required=False)
    shortname = db.StringProperty(required=False)
    bio = db.StringProperty(required=False)
    location = db.StringProperty(required=False)
    protect = db.BooleanProperty()

class Message(db.Model):
    author = db.UserProperty()
    content = db.StringProperty(multiline=True)
    date = db.DateTimeProperty(auto_now_add=True)
    reply_to = db.SelfReferenceProperty(required=False)
    reply_to_author = db.UserProperty()

        

